<?php
session_start ();
require_once ('../functions.php');
require_once ('../settings.php');

$a = (isset ($_GET['a']) && trim ($_GET['a'])) ? $_GET['a'] : false;
$content = '';

########################################################################
// is logged
########################################################################
  if ($_SESSION['login'] === true) {
    switch ($a) {
  ########################################################################
  // change settings
  ########################################################################
      case 'cs': // change settings
        $ic = file_get_contents ('../tpl/admin_cs.tpl'); // $ic = inner content
        // replace wildcards with value
        $ic = replaceWildcard ('htaccess_file', $spider_files['htaccess_file'], $ic);
        $ic = replaceWildcard ('blacklist_file', $spider_files['blacklist_file'], $ic);
        $ic = replaceWildcard ('whitelist_file', $spider_files['whitelist_file'], $ic);
        $ic = replaceWildcard ('captcha_file', $spider_files['captcha_file'], $ic);
        $ic = replaceWildcard ('user_agent_file', $spider_files['user_agent_file'], $ic);
        $ic = replaceWildcard ('spider_path', $spider_conf['spider_path'], $ic);
        $ic = replaceWildcard ('ban_expired', $spider_conf['ban_expired'], $ic);
        $ic = replaceWildcard ('alert_email', $spider_conf['alert_email'], $ic);
        $ic = replaceWildcard ('email_on_ban', $spider_conf['email_on_ban'], $ic);
        $ic = replaceWildcard ('email_on_unban', $spider_conf['email_on_unban'], $ic);
        $ic = replaceWildcard ('redirect_after_ban', $spider_conf['redirect_after_ban'], $ic);
        $ic = replaceWildcard ('use_captcha', $spider_conf['use_captcha'], $ic);
        $ic = replaceWildcard ('report_ips', $spider_conf['report_ips'], $ic);
        $ic = replaceWildcard ('admin_name', $spider_conf['admin_name'], $ic);
		if (!is_writeable ("../settings.php")) {
			$ic = replaceWildcard ('continue', '<h3><span style="color: #FF0000;">Bitte Schreibrechte auf die Datei Settings.php setzen (chmod 777)</h3><a href="install.php">Nochmal versuchen</a></span>', $ic);
		} else {
	    	$ic = replaceWildcard ('continue', '<input type="submit" value="Speichern" />', $ic);
		}
        
        $content .= replaceWildcard ('content', $ic, file_get_contents ('../tpl/admin.tpl'));
      break;
      
      case 'csu': // form was submitted
        $_POST = array_map ('stripslashes', $_POST); // very important, otherwise it is possible that strange php-code can be executed in the settings.php
        
        $ic = file_get_contents ('../tpl/settings.tpl');
        // replace wildcards with value
        $ic = replaceWildcard ('htaccess_file', $_POST['htaccess_file'], $ic);
        $ic = replaceWildcard ('blacklist_file', $_POST['blacklist_file'], $ic);
        $ic = replaceWildcard ('whitelist_file', $_POST['whitelist_file'], $ic);
        $ic = replaceWildcard ('captcha_file', $_POST['captcha_file'], $ic);
        $ic = replaceWildcard ('user_agent_file', $_POST['user_agent_file'], $ic);
        $ic = replaceWildcard ('spider_path', $_POST['spider_path'], $ic);
        $ic = replaceWildcard ('alert_email', $_POST['alert_email'], $ic);
        $ic = replaceWildcard ('ban_expired', $_POST['ban_expired'], $ic);
        $ic = replaceWildcard ('email_on_ban', $_POST['email_on_ban'], $ic);
        $ic = replaceWildcard ('email_on_unban', $_POST['email_on_unban'], $ic);
        $ic = replaceWildcard ('redirect_after_ban', $_POST['redirect_after_ban'], $ic);
        $ic = replaceWildcard ('use_captcha', $_POST['use_captcha'], $ic);
        $ic = replaceWildcard ('report_ips', $_POST['report_ips'], $ic);
        $ic = replaceWildcard ('admin_name', $_POST['admin_name'], $ic);
        if (isset ($_POST['admin_pass']) && trim ($_POST['admin_pass'])) { // if password was changed
          $ic = replaceWildcard ('admin_pass', md5 ($_POST['admin_pass']), $ic);
        } else { // else take the old one
          $ic = replaceWildcard ('admin_pass', $spider_conf['admin_pass'], $ic);
        }
        
        file_put_contents ('../settings.php', $ic); // write new setting file
        $content .= replaceWildcard ('content', '<b>Erfolgreich gespeichert!</b>', file_get_contents ('../tpl/admin.tpl'));
      break;
  ########################################################################
  // edit blacklist
  ########################################################################
      case 'bl': // edit blacklist
        $content .= replaceWildcard ('content', replaceWildcard ('bl', htmlentities (file_get_contents ('../'.$spider_files['blacklist_file'])), file_get_contents ('../tpl/admin_bl.tpl')), file_get_contents ('../tpl/admin.tpl'));
      break;
      
      case 'blu': // form was submitted
        file_put_contents ('../'.$spider_files['blacklist_file'], $_POST['bl']); // write new content to the blacklist_file
        $content .= replaceWildcard ('content', '<b>Erfolgreich gespeichert!</b>', file_get_contents ('../tpl/admin.tpl'));
      break;
  ########################################################################
  // edit whitelist
  ########################################################################
      case 'wl': // change settings
        $content .= replaceWildcard ('content', replaceWildcard ('wl', htmlentities (file_get_contents ('../'.$spider_files['whitelist_file'])), file_get_contents ('../tpl/admin_wl.tpl')), file_get_contents ('../tpl/admin.tpl'));
      break;
      
      case 'wlu': // form was submitted
        file_put_contents ('../'.$spider_files['whitelist_file'], $_POST['wl']); // write new content to the whitelist_file
        $content .= replaceWildcard ('content', '<b>Erfolgreich gespeichert!</b>', file_get_contents ('../tpl/admin.tpl'));
      break;
  ########################################################################
  // edit user_agents
  ########################################################################
      case 'ua': // change user agents
        $content .= replaceWildcard ('content', replaceWildcard ('ua', htmlentities (file_get_contents ('../'.$spider_files['user_agent_file'])), file_get_contents ('../tpl/admin_ua.tpl')), file_get_contents ('../tpl/admin.tpl'));
      break;
      
      case 'uau': // form was submitted
        file_put_contents ('../'.$spider_files['user_agent_file'], $_POST['ua']); // write new content to the user_agent_file
        $content .= replaceWildcard ('content', '<b>Erfolgreich gespeichert!</b>', file_get_contents ('../tpl/admin.tpl'));
      break;
  ########################################################################
  // show htaccess
  ########################################################################
      case 'sh': // show htaccess file
        $content .= replaceWildcard ('content', replaceWildcard ('sh', htmlentities (file_get_contents ('../'.$spider_files['htaccess_file'])), file_get_contents ('../tpl/admin_sh.tpl')), file_get_contents ('../tpl/admin.tpl'));
      break;
  ########################################################################
  // rename dir
  ########################################################################
  // this function is not possible, because the script cannot change the directory while being in it
  
  ########################################################################
  // default status message
  ########################################################################
      default: // default page = admin-panel overview
        $content .= replaceWildcard ('content', '<b>Herzlich Willkommen im Admin-Panel von Spider-Trap.</b>', file_get_contents ('../tpl/admin.tpl'));
      break;
    }
  } 
########################################################################
// is not logged
########################################################################
  else {
    if ($a === 'login') { // check login
      if (isset ($_POST['admin_name']) && isset ($_POST['admin_pass']) && $spider_conf['admin_name'] === $_POST['admin_name'] && $spider_conf['admin_pass'] === md5 ($_POST['admin_pass'])) { // user logged successful
        $_SESSION['login'] = true;
        $content .= replaceWildcard ('content', '<b>Erfolgreich eingeloggt.</b>', file_get_contents ('../tpl/admin.tpl'));
      } else { // wrong password/name
        $content .= replaceWildcard ('status', '<b>Falsches Benutzername und/oder Passwort.</b>', file_get_contents ('../tpl/admin_login.tpl'));
      }
    } else { // login page
      $content .= replaceWildcard ('status', '', file_get_contents ('../tpl/admin_login.tpl'));
    }
  }
// a bracket is not missing
print ($content);
?>