<?php
/**
* $Id: forbid.php,v 1.0 2005/31/12 12:00:00 thomasz Exp $
*
* @author       Thomas Zeithaml <info@spider-trap.de>
* @copyright    (c) 2005-2006 Spider-Trap Team
* 
* The contents of this file are subject to the Mozilla Public License
* Version 1.1 (the "License"); you may not use this file except in
* compliance with the License. You may obtain a copy of the License at
* http://www.mozilla.org/MPL/
* 
* Software distributed under the License is distributed on an "AS IS"
* basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
* License for the specific language governing rights and limitations
* under the License.
*/
require_once ('settings.php');
require_once ('functions.php');

########################################################################
// show CAPTCHA image
########################################################################
if (isset ($_GET['action']) && $_GET['action'] == 'gen'){
  display_captcha ();
  exit;
}

if (is_blacklisted (getip (), $_SERVER['HTTP_USER_AGENT'])) {
########################################################################
// show form to unban (falle.tpl)
########################################################################
  if (isset ($_POST['unbanme']) && strtolower ($_POST['unbanme']) == strtolower (getCaptchaId ())) {
    remove_blacklist (getip (), $_SERVER["HTTP_USER_AGENT"]);
    header("Location: ".$spider_conf['redirect_after_ban']);
    exit ();
  } else {
    $tpl = file_get_contents ('tpl/falle.tpl');
    if (isset ($_POST['unbanme']) && trim ($_POST['unbanme'])) {
      $tpl = replaceWildcard ('status', 'Falsche Eingabe - Sperre nicht aufgehoben!', $tpl);
    } else {
      $tpl = replaceWildcard ('status', '', $tpl);
    }
    if ($spider_conf['use_captcha'] == 0) {
      $tpl = replaceWildcard ('captcha', '<span style="font-weight: bold; color: #FF0000;">Entsperrung deaktiviert!</span>', $tpl);
    } else {
      $tpl = replaceWildcard ('captcha', '<img src="forbid.php?action=gen" alt="CAPTCHA-Grafik" />', $tpl);
    }
    die ($tpl);
  }
} else {
########################################################################
// show error document 403 (403.tpl)
########################################################################
  $tpl = file_get_contents ('tpl/403.tpl');
  $tpl = replaceWildcard ('uri', htmlentities ($_SERVER['REQUEST_URI']), $tpl);
  $tpl = replaceWildcard ('signature', $_SERVER['SERVER_SIGNATURE'], $tpl);
  die ($tpl);
}
?>