<?php
/**
* $Id: settings.php,v 0.93 2006/23/8 $
*
* @author       Thomas Zeithaml <info@spider-trap.de>
* @copyright    (c) 2005-2006 Spider-Trap Team
* 
* The contents of this file are subject to the Mozilla Public License
* Version 1.1 (the 'License'); you may not use this file except in
* compliance with the License. You may obtain a copy of the License at
* http://www.mozilla.org/MPL/
* 
* Software distributed under the License is distributed on an 'AS IS'
* basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
* License for the specific language governing rights and limitations
* under the License.
*/

// Schreibrechte CHMOD 777

$spider_files['htaccess_file'] = '../.htaccess';
$spider_files['blacklist_file'] = 'files/blacklist.txt';
$spider_files['whitelist_file'] = 'files/whitelist.txt';
$spider_files['captcha_file'] = 'files/captcha.txt';
$spider_files['user_agent_file'] = 'files/user_agent.txt';

$spider_conf['spider_path'] = '/spider-trap/'; // path of the trap - must end with a '/'

$spider_conf['redirect_after_ban'] = '../';
$spider_conf['alert_email'] = 'spider-info@domain.de'; // Email fr Benachrichtigungen
$spider_conf['ban_expired'] = 14400; // Anzahl der neuen Spambots bis Sperre aufgehoben
$spider_conf['email_on_ban']    = 0; // Email senden wenn neue Sperre 
$spider_conf['email_on_unban']  = 0; // Email senden wenn Sperre fr jemand aufgehoben wurde ?
$spider_conf['use_captcha'] = 1;
$spider_conf['report_ips'] = 1; // report ips to spider-trap.de

$spider_conf['admin_name'] = 'admin';
$spider_conf['admin_pass'] = 'f30fa14283b8150e3fa3bdcccd0e8cb8';
?>